Author Topic: Mac OS ROM 2.3.1  (Read 8734 times)

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Mac OS ROM 2.3.1
« on: February 01, 2015, 02:59:43 PM »
Hello all
I am looking for a copy of Mac OS ROM 2.3.1 for my slot loading iMac to run 8.6
Does anyone have a copy i can have?
Thanks.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #1 on: February 01, 2015, 10:03:11 PM »
Hello all
I am looking for a copy of Mac OS ROM 2.3.1 for my slot loading iMac to run 8.6
Does anyone have a copy i can have?
Thanks.

this mac os rom should be on the original restore/install disc for the imac 8.6
i have a copy of the disc i think i got it from macintoshgarden

you can browse http://macintoshgarden.org/apps/operating-systems

but i think this is the page u want:
http://macintoshgarden.org/apps/mac-os-85-851-update

either the install disc
http://macintoshgarden.org/sites/macintoshgarden.org/files/apps/iMac86Instv1.1.ZIP

or the restore disc
http://macintoshgarden.org/sites/macintoshgarden.org/files/apps/iMac86Restv1.1.ZIP

thanks to knez, direct links are a blessing ;D

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #2 on: February 02, 2015, 05:32:11 PM »
thanks.
i think i have already tried them but i will re-download them and do it again.
I have a feeling the rom on them is v1.6 but not sure as i am not home right now.

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #3 on: February 02, 2015, 09:53:06 PM »
I downloaded it and checked the rom is v1.6 which is not the one i need.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #4 on: February 02, 2015, 10:45:07 PM »
which imac do u have
these are for the imac g3 http://en.wikipedia.org/wiki/IMac_G3


Mac OS: Matching Mac OS ROM File To Mac OS Version
http://support.apple.com/kb/TA22055

why are u checking the rom and not just installing the thing?
its the 8.6 restore cd for the imac g3.. how could it not work
but, that said, i understand how dificult it was for me to find the
disk for installing 8.6 on the g4 (agp) sawtooth.. (mac os rom 2.5.1)

it needs that exact rom or it doesnt boot?
« Last Edit: February 02, 2015, 11:00:23 PM by chrisNova777 »

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #5 on: February 03, 2015, 04:57:37 AM »
This particular rom has enablers for the slot loading iMac which 1.6 does not have.  They changed the slot loading firmware to not work with 1.6, and it does not work even with open firmware hacks. wont boot or install, just says cannot be installed on this mac even when i try in os 9.
The model identifier is PowerMac2,1 which is different to the original iMac.

I have quite a few macintosh computers and have had for a lot of years, but this one is just hard to get working in os 8.6.  even my LC 475 was easier to make os 8.6 run than this machine.

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #6 on: February 03, 2015, 05:00:36 AM »
it needs that exact rom or it doesnt boot?

true for booting 8.6, false for 9.04

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #7 on: February 03, 2015, 07:13:05 AM »
it needs that exact rom or it doesnt boot?

true for booting 8.6, false for 9.04

understood its the same for the AGP sawtooth with 8.6 - its the only installer that will work is the one with the 2.5.1 rom...

i would try posting on the mac garden site.. i will try to help u track it down

Offline MacTron

  • Global Moderator
  • Platinum Member
  • *****
  • Posts: 1934
  • keep it simple
Re: Mac OS ROM 2.3.1
« Reply #8 on: February 03, 2015, 08:31:36 AM »
The Mac Os ROM v2.5.1 (in the 8.6 for the AGP Sawtooth) should boot this machine. If I remember correctly, I've booted a similar one that I have around here with this 2.5.1 ROM and Mac OS 8.6 ...
Please don't PM about things that are not private.

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #9 on: February 03, 2015, 03:04:41 PM »
ok. i'll give that a go.

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #10 on: February 03, 2015, 07:50:58 PM »
understood its the same for the AGP sawtooth with 8.6 - its the only installer that will work is the one with the 2.5.1 rom...

i would try posting on the mac garden site.. i will try to help u track it down

I just found 8.6 with 2.5.1 rom on max1zzz's ftp and will try that first.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #11 on: February 04, 2015, 05:29:39 AM »

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #12 on: February 04, 2015, 05:09:28 PM »
thanks.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #13 on: February 05, 2015, 01:43:33 AM »
let us know if that rom works!!  8)

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #14 on: February 05, 2015, 01:49:51 AM »
it appears to boot but has no video, just a grey screen.  I did manage to get it started through os 9 and tried to install 8.6 from the image, but the installer complained half way about missing iMac resources.  Maybe the 2.3.1 rom has special enablers for os 8.6 that the os 9 system file have by default.
anyhow, the cd works without problem on my G4 mac, so i know it is not the cd at least.
It's not important that i have 8.6, i just want too because i can so i will try and hack it to work.
i also have a later iMac 2002 edition (PowerMac4,1), which i plan on making it work on too.
Thanks for all your help anyway.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #15 on: February 05, 2015, 03:20:36 AM »
the cd works without problem on my G4 mac, so i know it is not the cd at least.
It's not important that i have 8.6, i just want too because i can so i will try and hack it to work.
i also have a later iMac 2002 edition (PowerMac4,1), which i plan on making it work on too.
Thanks for all your help anyway.

dont waste your time man.. re: hacking to make it work
i would reccomend you only use 8.6 on machines that had original support for it..
which ijn this case it seems requires you to find the original cd install/restore
did u post a thread about it on macgarden site?

dont give up before u even try
theres no pt in doing a hack when u can get a 100% proper version if u ask around
the cd exists.. someone has to have it
its a challenge to visually identify + communicate to others what exactly youa re lookijng for
but it can be done

firstly, which imac g3 do u have exactly?
http://www.everymac.com/systems/apple/imac/specs/imac_350.html
is this a correct match for your system?

apparently if your imac is the indigo imac g3 350 then it cannot run mac os 8.6
and it shipped with 9.0.4 (see this discussion https://discussions.apple.com/thread/4220356)

also here: http://www.everymac.com/systems/by_capability/minimum-macos-supported.html
this is why users who posts questions should always 100% correcly identify which machine they are posting about
when posting to the forums


« Last Edit: February 05, 2015, 04:12:07 AM by chrisNova777 »

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #16 on: February 05, 2015, 03:23:59 AM »
I have not got that far yet. will do sometime over the weekend.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #17 on: February 07, 2015, 10:48:35 AM »
hey wside u never answered as to whether yours is the indigo model or not
if its the indigo slot loading u are out of luck for mac os 8.6 and must use 9.0.4+

http://www.everymac.com/systems/apple/imac/specs/imac_350_indigo.html

i cant think of any other reason why that disc wouldnt work other then your imac being the only  unsupported one

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #18 on: February 08, 2015, 02:34:43 AM »
It is not the indigo model, it has firewire & an airport card - G3/400.
I think it is more likely the firmware has been upgraded at some point, which is stopping it from working.
Anyway i have put 9.2.2 on it and will just live with it.
I have tried to modify the 8.6 system file, but all i get is unimplemented trap, which does not give an error code and interrupting it returns with the same message, thus why i think the firmware is later than when it was released.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #19 on: February 08, 2015, 06:03:53 AM »
the same thing was theorized about the sawtooth with the 2.5.1 rom and for me, it did not make a difference.. it still worked fine.

http://www.everymac.com/systems/by_capability/minimum-macos-supported.html
there is some 400 that work and some 400 that dont

please confirm your exact model
u can use your serial number on the back of the mac to do this

these work
http://www.everymac.com/systems/apple/imac/specs/imac_dv_400.html
http://www.everymac.com/systems/apple/imac/specs/imac_se_dv_400.html

these dont:
http://www.everymac.com/systems/apple/imac/specs/imac_dv_400_indigo.html
http://www.everymac.com/systems/apple/imac/specs/imac_400_indigo.html

here are two install + restore discs.. (found on this page: http://macintoshgarden.org/apps/mac-os-85-851-update)
u only need one of them
did u try one of these discs yet?

http://macintoshgarden.org/sites/macintoshgarden.org/files/apps/iMac86Instv1.1.ZIP
http://macintoshgarden.org/sites/macintoshgarden.org/files/apps/iMac86Restv1.1.ZIP

once u have the proper disc it will just work..
i think these images are the discs i just linked:
« Last Edit: February 08, 2015, 05:58:25 PM by chrisNova777 »

Offline Philgood

  • Gold Member
  • *****
  • Posts: 270
Re: Mac OS ROM 2.3.1
« Reply #20 on: February 08, 2015, 10:12:51 AM »
Hi there.

I have the exact same machine. iMac G3 400Mhz with Firewire running 8.6. It came with that version of the OS installed. I could upload the Restore disc but it's german....
So i can confirm at least that you can get it working.
*G4 MDD 1.25GHz (Single 2003)* with 2x 80Gb harddrives, 1Gb RAM, Tascam US-428 and Edirol FA-101 USB/Firewire soundcards-*iMac G3 DV 400MHz* with installs from OS 8.6-OSX Tiger on different harddrives-*Powerbook G4 1.67Ghz* with new SSD ! Love it.

Offline MacTron

  • Global Moderator
  • Platinum Member
  • *****
  • Posts: 1934
  • keep it simple
Re: Mac OS ROM 2.3.1
« Reply #21 on: February 08, 2015, 10:26:44 AM »
Just curious: What's the Mac Os ROM version number of your 8.6 System, please?

You can attach the Mac Os ROM only. Even if it is in German, it shouldn't be a problem, as ROM files, usually contains a very few text.
Please don't PM about things that are not private.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #22 on: February 08, 2015, 01:02:24 PM »
personally i think there is more difference then JUST The rom file of these versions...
its best to have the full original disk.. to be sure

phil is the disc orange?

« Last Edit: February 08, 2015, 01:16:43 PM by chrisNova777 »

Offline wsidebottom

  • Active Member
  • **
  • Posts: 12
  • new to the forums
Re: Mac OS ROM 2.3.1
« Reply #23 on: February 08, 2015, 06:09:27 PM »
the same thing was theorized about the sawtooth with the 2.5.1 rom and for me, it did not make a difference.. it still worked fine.

http://www.everymac.com/systems/by_capability/minimum-macos-supported.html
there is some 400 that work and some 400 that dont

please confirm your exact model
u can use your serial number on the back of the mac to do this

these work
http://www.everymac.com/systems/apple/imac/specs/imac_dv_400.html
http://www.everymac.com/systems/apple/imac/specs/imac_se_dv_400.html

these dont:
http://www.everymac.com/systems/apple/imac/specs/imac_dv_400_indigo.html
http://www.everymac.com/systems/apple/imac/specs/imac_400_indigo.html

I am guessing this is the reason why it wont work...
http://www.everymac.com/systems/apple/imac/specs/imac_400_indigo.html
Even still, i don't see any technical reason why it should not work, given the specs are near identical except the older one has an ATI Rage Pro vs ATI Rage 128 VR 2D/3D
But this is Apple none the less.

What about re-flashing the rom with the older version? any thoughts?

here are two install + restore discs.. (found on this page: http://macintoshgarden.org/apps/mac-os-85-851-update)
u only need one of them
did u try one of these discs yet?

http://macintoshgarden.org/sites/macintoshgarden.org/files/apps/iMac86Instv1.1.ZIP
http://macintoshgarden.org/sites/macintoshgarden.org/files/apps/iMac86Restv1.1.ZIP

once u have the proper disc it will just work..
i think these images are the discs i just linked:


I actually did try them to no avail.

Hi there.

I have the exact same machine. iMac G3 400Mhz with Firewire running 8.6. It came with that version of the OS installed. I could upload the Restore disc but it's german....
So i can confirm at least that you can get it working.

Ok Phil, that sounds good.  my german is no good, but i think i will be able to work it out, or see if it works, but given the fact it is too new it probably wont work anyway.

Thanks all for help so far.  I probably should have looked harder too start with, though i am still thinking it should work or can be forced to work, somehow.
« Last Edit: February 08, 2015, 07:18:01 PM by wsidebottom »

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #24 on: February 09, 2015, 06:33:03 AM »
the german disc he has is the same as the one ive posted above.. only in german
this can be checked by the cd version + cd product code thats why i shared the image above
clearly showing this.. only on the german  the first character will be a D = deutsch

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #25 on: August 18, 2015, 12:15:05 AM »
I am guessing this is the reason why it wont work...
http://www.everymac.com/systems/apple/imac/specs/imac_400_indigo.html
Even still, i don't see any technical reason why it should not work, given the specs are near identical except the older one has an ATI Rage Pro vs ATI Rage 128 VR 2D/3D
But this is Apple none the less.

yup - the rule stands - u cant easily run a lower mac os then the one that came installed on your mac when it was new..
so after all that work.. it turned out wsidebottom had a mac that was from 2001 and shipped with mac os 9.1 installed which he confused with an earlier model that shipped with 8.6
which is why he had problems trying to install 8.6 or 9.0.4

the only few exceptions i know of to that rule is our fw800-fw400 mac os 9 firmware hack..
and the 2007-2008 imacs being able to run tiger instead of leopard..
and the 2011 macbook pros being able to be rolled back to snow leopard 10.6.8

other then that i think most macs cant run previous os!!!

Offline DieHard

  • Administrator
  • Platinum Member
  • *****
  • Posts: 1255
Re: Mac OS ROM 2.3.1
« Reply #26 on: August 18, 2015, 08:17:03 AM »
I remember killing a whole week trying to get Mac OS 8.6 to run on a Quicksilver for a specific client.. swapping MB boards, trying different ROMs, etc.  In the end, nothing worked... the "The Rule" as you mention it, Chris, was a hard lesson to learn. 

Apple always had a nasty habit of moving forward with ROM versions, It would have been nice to have had a "legacy" G4 ROM version for newer hardware, that would work with at least OS 8, but  guess that would have been too much work.

Thank God, guys like iMic, said "No thank you" and didn't give up when Apple said... "It's our way or the hiway"

Offline MacTron

  • Global Moderator
  • Platinum Member
  • *****
  • Posts: 1934
  • keep it simple
Re: Mac OS ROM 2.3.1
« Reply #27 on: August 18, 2015, 11:12:14 AM »
I remember killing a whole week trying to get Mac OS 8.6 to run on a Quicksilver for a specific client.. swapping MB boards, trying different ROMs, etc.  In the end, nothing worked...
Yes,I have tried the same . That was on the really bad Mac Os 9.04 era ...
With Mac Os 9.2 there isn't any 8.6 need, but some 8.6 control panel or extension.

Quote
the "The Rule" as you mention it, Chris, was a hard lesson to learn. 

Yes, that's it.
The new ROMs usually contains drivers for new components in the new motherboards. But, we can boot a MDD with the Mac Os ROM v 8.8.1 even though it was created earlier than this machine. But this ROM don't have drivers for the ATA 100 on the MDD so, it only can boot from the ATA 66 or ATA 33 device.
Each ROM version have a "hard coded" the minimal System version that can be launch.
But Apple have forced ROM and System versions, sometimes, only to promote newer products, without real technical justification.

Quote
Apple always had a nasty habit of moving forward with ROM versions, It would have been nice to have had a "legacy" G4 ROM version for newer hardware, that would work with at least OS 8, but  guess that would have been too much work.

Thank God, guys like iMic, said "No thank you" and didn't give up when Apple said... "It's our way or the hiway"

If we transfer the new drivers from the newest ROMs and System files, and we follow iMic procedures probably we can boot any G4 with Mac Os 8.6 and Sawtooth 8.6 ROM.
« Last Edit: August 18, 2015, 11:41:46 AM by MacTron »
Please don't PM about things that are not private.

supernova777

  • Guest
Re: Mac OS ROM 2.3.1
« Reply #28 on: August 18, 2015, 12:00:29 PM »
i agree that it is possible to make it work, if the right person who understands how to edit the files was to do it.. but it may be a bit out of the "easily doable" spectrum... so much that it will never happen.